Page 4 of 4 FirstFirst ... 234
Results 31 to 38 of 38
  1. #31
    Join Date
    Feb 2008
    Location
    Cologne, Germany
    Posts
    39

    Default

    Done! And thanks.

  2. #32
    Join Date
    Feb 2008
    Location
    Cologne, Germany
    Posts
    39

    Default

    I'm getting more spurious segmentationfaults now that the strstr issue seems to be handled. Here's a backtrace from a crash I just experienced from calling the program with two files as arguments:

    Program received signal SIGSEGV, Segmentation fault.
    0xf7d7303a in QPixmap_isNull () from /opt/beyondcompare/lib64/libqtc.so.1
    (gdb) backtrace
    #0 0xf7d7303a in QPixmap_isNull () from /opt/beyondcompare/lib64/libqtc.so.1
    #1 0x080e3689 in ?? ()
    #2 0x081805fc in ?? ()
    #3 0x081a827e in ?? ()
    #4 0x084b24c5 in ?? ()
    #5 0x084dd5d3 in ?? ()
    #6 0x084db2a0 in ?? ()
    #7 0x08197e01 in ?? ()
    #8 0xf7792dab in makecontext () from /lib32/libc.so.6
    #9 0x081a8cd4 in ?? ()
    #10 0x08afe858 in ?? ()
    Backtrace stopped: previous frame inner to this frame (corrupt stack?)

    Can you help with this?

  3. #33
    Join Date
    Oct 2009
    Posts
    116

    Default

    Yes. There is a fix in the repository for this that will be in the next release.
    David J Scooter Software

  4. #34
    Join Date
    Feb 2008
    Location
    Cologne, Germany
    Posts
    39

    Default

    Can you project a date for that release? These crashes are really annoying.

    Thank you.

  5. #35
    Join Date
    Oct 2007
    Posts
    786

    Default

    We hope to get a release out today.
    Tim T Scooter Software

  6. #36
    Join Date
    Feb 2008
    Location
    Cologne, Germany
    Posts
    39

    Default

    That's' great!

  7. #37
    Join Date
    Feb 2008
    Location
    Cologne, Germany
    Posts
    39

    Default

    The new version seems to work fine now, thanks!

  8. #38
    Join Date
    Feb 2008
    Location
    Cologne, Germany
    Posts
    39

    Default

    Here's how I patched my glibc 2.18, so it no longer tries to use the SSE42 version of strstr:

    extract the glibc-2.18.tar.xz archive, then open the file

    glibc-2.18/sysdeps/i386/i686/multiarch/strstr-c.c

    in an editor. In line 26, replace "HAS_SSE4_2" with "false". Then save the file and compile and install glibc as usual.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •